Back to Topics Directory
Topic Hub

#deflate (12 Repositories)

Ranked open-source repositories tagged with #deflate, scored by pull request acceptance likelihood and maintainer engagement velocity.

Topic Avg Merge Rate

36.0%

Avg Review Latency

14.9h

Filter by language

12 repositories tagged #deflate

A TierC 2.1k

zlib-ng/zlib-ng

zlib replacement with optimizations for "next generation" systems.

45.2%
Merge Rate
1h
First Review
75%
1st-Timers
9
Maintainers
A TierGo 5.7k

klauspost/compress

Optimized Go Compression Packages

70.7%
Merge Rate
6h
First Review
67%
1st-Timers
9
Maintainers
B TierRust 129

milesgranger/cramjam

Your go-to for easy access to a plethora of compression algorithms, all neatly bundled in one simple installation.

88.9%
Merge Rate
22h
First Review
100%
1st-Timers
2
Maintainers
B TierNINim 283

guzba/zippy

Pure Nim implementation of deflate, zlib, gzip and zip.

66.7%
Merge Rate
<1h
First Review
100%
1st-Timers
1
Maintainers
B TierOCOCaml 120

mirage/decompress

Pure OCaml implementation of Zlib.

90.0%
Merge Rate
-
First Review
100%
1st-Timers
1
Maintainers
B TierRust 1.1k

rust-lang/flate2-rs

DEFLATE, gzip, and zlib bindings for Rust

37.5%
Merge Rate
11h
First Review
0%
1st-Timers
4
Maintainers
C TierJavaScript 230

fastify/fastify-compress

Fastify compression utils

33.3%
Merge Rate
6d
First Review
0%
1st-Timers
2
Maintainers
D TierSwift 278

tsolomko/SWCompression

A Swift framework for working with compression, archives and containers.

0.0%
Merge Rate
<1h
First Review
0%
1st-Timers
0
Maintainers
D TierGo 419

dsnet/compress

Collection of compression related Go packages.

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers
D TierSwift 302

mw99/DataCompression

Swift libcompression wrapper as an extension for the Data type (GZIP, ZLIB, LZFSE, LZMA, LZ4, deflate, RFC-1950, RFC-1951, RFC-1952)

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers
D TierSwift 404

tayloraswift/swift-png

decode, inspect, edit, and encode png images in pure swift

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers
D TierC 1.4k

vurtun/lib

single header libraries for C/C++

0.0%
Merge Rate
-
First Review
0%
1st-Timers
0
Maintainers
Best Deflate Open Source Repositories & C-Rank™ | GetMerged